org.mozilla.javascript.typedarrays

## Class Conversions

- java.lang.Object
- - org.mozilla.javascript.typedarrays.Conversions

-     public class Conversions
      extends java.lang.Object

  Numeric conversions from section 7 of the ECMAScript 6 standard.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EIGHT_BIT`
    `static int` | `SIXTEEN_BIT`
    `static long` | `THIRTYTWO_BIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conversions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `toInt16(java.lang.Object arg)`
    `static int` | `toInt32(java.lang.Object arg)`
    `static int` | `toInt8(java.lang.Object arg)`
    `static int` | `toUint16(java.lang.Object arg)`
    `static long` | `toUint32(java.lang.Object arg)`
    `static int` | `toUint8(java.lang.Object arg)`
    `static int` | `toUint8Clamp(java.lang.Object arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EIGHT_BIT

          public static final int EIGHT_BIT

      See Also:
        Constant Field Values

    - #### SIXTEEN_BIT

          public static final int SIXTEEN_BIT

      See Also:
        Constant Field Values

    - #### THIRTYTWO_BIT

          public static final long THIRTYTWO_BIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Conversions

          public Conversions()

  - ### Method Detail

    - #### toInt8

          public static int toInt8(java.lang.Object arg)

    - #### toUint8

          public static int toUint8(java.lang.Object arg)

    - #### toUint8Clamp

          public static int toUint8Clamp(java.lang.Object arg)

    - #### toInt16

          public static int toInt16(java.lang.Object arg)

    - #### toUint16

          public static int toUint16(java.lang.Object arg)

    - #### toInt32

          public static int toInt32(java.lang.Object arg)

    - #### toUint32

          public static long toUint32(java.lang.Object arg)